.rating {
  unicode-bidi: bidi-override;
  direction: rtl;
}
.rating > span {
  display: inline-block;
  position: relative;
  width: 1.1em;
  font-size: 22px;
}
.rating > span:hover,
.rating > span:hover ~ span {
  color: transparent;
}
.rating > span:hover:before,
.rating > span:hover ~ span:before {
    content: "\2605";
    position: absolute;
    left: 0;
    color: gold !important;
}
.rating > span.curr:before,
.rating > span.curr ~ span:before {
    content: "\2605";
    position: absolute;
    left: 0;
    color:red;
}

